Bug 741214 - Out of date User API documentation on wiki
Summary: Out of date User API documentation on wiki
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: documentation
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 29
Assignee: Jay Dobies
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 09:55 UTC by Dmitri Dolguikh
Modified: 2012-02-24 20:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:16:25 UTC


Attachments (Terms of Use)

Description Dmitri Dolguikh 2011-09-26 09:55:15 UTC
- User operations require username (login) as a parameter, not uuid
- User create is a POST, not PUT
- name is a required parameter on create
- password is a required parameter on create

Comment 1 Jay Dobies 2011-10-07 13:54:06 UTC
I fixed it as best I can on the wiki without doing a full rewrite. Changes pushed to pulpproject.org.

Comment 2 Preethi Thomas 2011-10-12 15:03:49 UTC
verified
http://www.pulpproject.org/ug/UGREST-Users.html

Comment 3 Preethi Thomas 2012-02-24 20:16:25 UTC
Pulp v1.0 is released
Closed Current Release.

Comment 4 Preethi Thomas 2012-02-24 20:17:48 UTC
Pulp v1.0 is released.


Note You need to log in before you can comment on or make changes to this bug.